## plutovg 1.0.0

=== debian/changelog ===
plutovg (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #1099422)

 -- Sébastien Noel <sebastien@twolife.be>  Sat, 05 Apr 2025 12:03:49 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson+ninja

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- -DBUILD_SHARED_LIBS=1
	dh_auto_configure -- -Ddefault_library=both

## plutovg 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)

set(PLUTOVG_VERSION_MAJOR 1)
set(PLUTOVG_VERSION_MINOR 3)
set(PLUTOVG_VERSION_MICRO 0)

project(plutovg LANGUAGES C VERSION ${PLUTOVG_VERSION_MAJOR}.${PLUTOVG_VERSION_MINOR}.${PLUTOVG_VERSION_MICRO})

set(plutovg_sources
    source/plutovg-blend.c
    source/plutovg-canvas.c
    source/plutovg-font.c
    source/plutovg-matrix.c
    source/plutovg-paint.c
    source/plutovg-path.c
    source/plutovg-rasterize.c
    source/plutovg-surface.c
    source/plutovg-ft-math.c
    source/plutovg-ft-raster.c
    source/plutovg-ft-stroker.c
)

set(plutovg_headers
    include/plutovg.h
    source/plutovg-private.h
    source/plutovg-utils.h
    source/plutovg-ft-math.h
    source/plutovg-ft-raster.h
    source/plutovg-ft-stroker.h
    source/plutovg-ft-types.h
    source/plutovg-stb-image-write.h
    source/plutovg-stb-image.h
    source/plutovg-stb-truetype.h
)

add_library(plutovg ${plutovg_sources} ${plutovg_headers})
add_library(plutovg::plutovg ALIAS plutovg)

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

set_target_properties(plutovg PROPERTIES
    SOVERSION ${PLUTOVG_VERSION_MAJOR}
    C_VISIBILITY_PRESET hidden
    C_STANDARD_REQUIRED ON
    C_STANDARD 11
)

target_include_directories(plutovg PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/include
    ${CMAKE_CURRENT_SOURCE_DIR}/source
)

target_include_directories(plutovg PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/plutovg>
)

find_library(MATH_LIBRARY m)
if(MATH_LIBRARY)
    target_link_libraries(plutovg PRIVATE m)
endif()

target_compile_definitions(plutovg PRIVATE PLUTOVG_BUILD)
if(NOT BUILD_SHARED_LIBS)
    target_compile_definitions(plutovg PUBLIC PLUTOVG_BUILD_STATIC)
endif()

option(PLUTOVG_DISABLE_FONT_FACE_CACHE_LOAD "Disable loading font face cache from files and directories" OFF)
if(PLUTOVG_DISABLE_FONT_FACE_CACHE_LOAD)
    target_compile_definitions(plutovg PRIVATE PLUTOVG_DISABLE_FONT_FACE_CACHE_LOAD)
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/plutovgConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/plutovgConfig.cmake"
    INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/plutovg
)

write_basic_package_version_file(plutovgConfigVersion.cmake
    VERSION ${PROJECT_VERSION}
    COMPATIBILITY SameMajorVersion
)

install(FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/include/plutovg.h
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/plutovg
)

install(TARGETS plutovg
    EXPORT plutovgTargets
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

install(EXPORT plutovgTargets
    FILE plutovgTargets.cmake
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/plutovg
    NAMESPACE plutovg::
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/plutovgConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/plutovgConfigVersion.cmake
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/plutovg
)

export(EXPORT plutovgTargets
    FILE ${CMAKE_CURRENT_BINARY_DIR}/plutovgTargets.cmake
    NAMESPACE plutovg::
)

file(RELATIVE_PATH plutovg_pc_prefix_relative
    "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/pkgconfig"
    "${CMAKE_INSTALL_PREFIX}"
)

set(plutovg_pc_cflags "")
set(plutovg_pc_libs_private "")

if(MATH_LIBRARY)
    string(APPEND plutovg_pc_libs_private " -lm")
endif()

if(NOT BUILD_SHARED_LIBS)
    string(APPEND plutovg_pc_cflags " -DPLUTOVG_BUILD_STATIC")
endif()

string(CONFIGURE [[
prefix=${pcfiledir}/@plutovg_pc_prefix_relative@
includedir=${prefix}/@CMAKE_INSTALL_INCLUDEDIR@
libdir=${prefix}/@CMAKE_INSTALL_LIBDIR@

Name: PlutoVG
Description: Tiny 2D vector graphics library in C
Version: @PROJECT_VERSION@

Cflags: -I${includedir}/plutovg@plutovg_pc_cflags@
Libs: -L${libdir} -lplutovg
Libs.private:@plutovg_pc_libs_private@
]] plutovg_pc @ONLY)

file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/plutovg.pc" "${plutovg_pc}")

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/plutovg.pc"
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
)

option(PLUTOVG_BUILD_EXAMPLES "Build examples" ON)
if(PLUTOVG_BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

=== meson_options.txt ===
option('examples', type : 'feature', value : 'auto')
option('tests', type : 'feature', value : 'auto')

option('font-face-cache-load',
	type : 'feature',
    value : 'auto',
    description : 'Enable loading font face cache from files and directories'
)

=== debian/changelog ===
plutovg (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Sébastien Noel <sebastien@twolife.be>  Fri, 29 Aug 2025 08:32:49 +0200

=== debian/control ===
Source: plutovg
Section: libs
Priority: optional
Maintainer: Sébastien Noel <sebastien@twolife.be>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), cmake, pkgconf, meson, ninja-build
Standards-Version: 4.7.2
Homepage: https://github.com/sammycage/plutovg
Vcs-Git: https://salsa.debian.org/twolife/plutovg.git
Vcs-Browser: https://salsa.debian.org/twolife/plutovg

Package: libplutovg-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libplutovg1 (= ${binary:Version})
Description: Tiny 2D vector graphics library - devel
 PlutoVG is a standalone 2D vector graphics library. It features:
  - Path Filling, Stroking and Dashing
  - Solid, Gradient and Texture Paints
  - Fonts and Texts
  - Clipping and Compositing
  - Transformations
  - Images
 .
 This package contains the development files for libplutovg.

Package: libplutovg1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Tiny 2D vector graphics library
 PlutoVG is a standalone 2D vector graphics library. It features:
  - Path Filling, Stroking and Dashing
  - Solid, Gradient and Texture Paints
  - Fonts and Texts
  - Clipping and Compositing
  - Transformations
  - Images

=== debian/watch ===
version=4
opts="pgpmode=none"
https://github.com/sammycage/plutovg/tags .*/v?(\d.*)@ARCHIVE_EXT@

## plutovg 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(PLUTOVG_VERSION_MAJOR 1)
 set(PLUTOVG_VERSION_MINOR 3)
-set(PLUTOVG_VERSION_MICRO 0)
+set(PLUTOVG_VERSION_MICRO 1)
 
 project(plutovg LANGUAGES C VERSION ${PLUTOVG_VERSION_MAJOR}.${PLUTOVG_VERSION_MINOR}.${PLUTOVG_VERSION_MICRO})
 
@@ -38,6 +38,7 @@
 
 include(GNUInstallDirs)
 include(CMakePackageConfigHelpers)
+include(CheckIncludeFile)
 
 set_target_properties(plutovg PROPERTIES
     SOVERSION ${PLUTOVG_VERSION_MAJOR}
@@ -59,6 +60,19 @@
 find_library(MATH_LIBRARY m)
 if(MATH_LIBRARY)
     target_link_libraries(plutovg PRIVATE m)
+endif()
+
+check_include_file("threads.h" HAVE_THREADS_H)
+if(HAVE_THREADS_H)
+    target_compile_definitions(plutovg PRIVATE HAVE_THREADS_H)
+endif()
+find_package(Threads)
+if(Threads_FOUND)
+    target_link_libraries(plutovg PRIVATE Threads::Threads)
+endif()
+find_library(STDTHREADS_LIBRARY stdthreads)
+if(STDTHREADS_LIBRARY)
+    target_link_libraries(plutovg PRIVATE stdthreads)
 endif()
 
 target_compile_definitions(plutovg PRIVATE PLUTOVG_BUILD)
@@ -123,6 +137,10 @@
     string(APPEND plutovg_pc_libs_private " -lm")
 endif()
 
+if(Threads_FOUND AND CMAKE_THREAD_LIBS_INIT)
+    string(APPEND plutovg_pc_libs_private " ${CMAKE_THREAD_LIBS_INIT}")
+endif()
+
 if(NOT BUILD_SHARED_LIBS)
     string(APPEND plutovg_pc_cflags " -DPLUTOVG_BUILD_STATIC")
 endif()

=== meson_options.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 option('tests', type : 'feature', value : 'auto')
 
 option('font-face-cache-load',
-	type : 'feature',
+    type : 'feature',
     value : 'auto',
     description : 'Enable loading font face cache from files and directories'
 )

=== examples/CMakeLists.txt ===
add_executable(smiley smiley.c)
target_link_libraries(smiley plutovg)

=== debian/changelog ===
plutovg (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sébastien Noel <sebastien@twolife.be>  Thu, 18 Sep 2025 14:36:28 +0200

plutovg (1.3.0-3) unstable; urgency=low

  * Really fix build on Hurd

 -- Sébastien Noel <sebastien@twolife.be>  Fri, 12 Sep 2025 12:38:19 +0200

plutovg (1.3.0-2) unstable; urgency=low

  * Declare libplutovg-dev as "Multi-Arch: same"
  * Fix build on Hurd

 -- Sébastien Noel <sebastien@twolife.be>  Fri, 05 Sep 2025 09:16:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sébastien Noel <sebastien@twolife.be>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), cmake, pkgconf, meson, ninja-build
+Build-Depends: debhelper-compat (= 13), cmake, pkgconf, meson
 Standards-Version: 4.7.2
 Homepage: https://github.com/sammycage/plutovg
 Vcs-Git: https://salsa.debian.org/twolife/plutovg.git
@@ -12,6 +12,7 @@
 Package: libplutovg-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libplutovg1 (= ${binary:Version})
 Description: Tiny 2D vector graphics library - devel
  PlutoVG is a standalone 2D vector graphics library. It features:

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- -DBUILD_SHARED_LIBS=1
	dh_auto_configure -- -Ddefault_library=both

=== debian/tests/control ===
Tests: smiley
Depends: @, build-essential, pkgconf
Restrictions: allow-stderr

=== debian/watch ===
Version: 5
Template: Github
Owner: sammycage
Project: plutovg

## plutovg 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(PLUTOVG_VERSION_MAJOR 1)
 set(PLUTOVG_VERSION_MINOR 3)
-set(PLUTOVG_VERSION_MICRO 1)
+set(PLUTOVG_VERSION_MICRO 2)
 
 project(plutovg LANGUAGES C VERSION ${PLUTOVG_VERSION_MAJOR}.${PLUTOVG_VERSION_MINOR}.${PLUTOVG_VERSION_MICRO})

=== debian/changelog ===
plutovg (1.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sébastien Noel <sebastien@twolife.be>  Thu, 20 Nov 2025 10:45:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: libs
 Priority: optional
 Maintainer: Sébastien Noel <sebastien@twolife.be>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), cmake, pkgconf, meson
 Standards-Version: 4.7.2
 Homepage: https://github.com/sammycage/plutovg
